org.optaplanner.benchmark.config

## Class SolverBenchmarkConfig<Solution_>

- java.lang.Object
- - org.optaplanner.core.config.AbstractConfig<SolverBenchmarkConfig>
  - - org.optaplanner.benchmark.config.SolverBenchmarkConfig<Solution_>

-     public class SolverBenchmarkConfig<Solution_>
      extends AbstractConfig<SolverBenchmarkConfig>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolverBenchmarkConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buildSolverBenchmark(SolverConfigContext solverConfigContext, ClassLoader classLoader, PlannerBenchmarkResult plannerBenchmark, Solution_[] extraProblems)`
    `String` | `getName()`
    `ProblemBenchmarksConfig` | `getProblemBenchmarksConfig()`
    `SolverConfig` | `getSolverConfig()`
    `Integer` | `getSubSingleCount()`
    `void` | `inherit(SolverBenchmarkConfig inheritedConfig)` Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).
    `void` | `setName(String name)`
    `void` | `setProblemBenchmarksConfig(ProblemBenchmarksConfig problemBenchmarksConfig)`
    `void` | `setSolverConfig(SolverConfig solverConfig)`
    `void` | `setSubSingleCount(Integer subSingleCount)`
    `protected void` | `validate()`

    - ### Methods inherited from class org.optaplanner.core.config.AbstractConfig

      `copyConfig, deduceEntityDescriptor, deduceVariableDescriptor, deduceVariableDescriptorList, newInstance, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SolverBenchmarkConfig

          public SolverBenchmarkConfig()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getSolverConfig

          public SolverConfig getSolverConfig()

    - #### setSolverConfig

          public void setSolverConfig(SolverConfig solverConfig)

    - #### getProblemBenchmarksConfig

          public ProblemBenchmarksConfig getProblemBenchmarksConfig()

    - #### setProblemBenchmarksConfig

          public void setProblemBenchmarksConfig(ProblemBenchmarksConfig problemBenchmarksConfig)

    - #### getSubSingleCount

          public Integer getSubSingleCount()

    - #### setSubSingleCount

          public void setSubSingleCount(Integer subSingleCount)

    - #### buildSolverBenchmark

          public void buildSolverBenchmark(SolverConfigContext solverConfigContext,
                                           ClassLoader classLoader,
                                           PlannerBenchmarkResult plannerBenchmark,
                                           Solution_[] extraProblems)

    - #### validate

          protected void validate()

    - #### inherit

          public void inherit(SolverBenchmarkConfig inheritedConfig)

      Description copied from class: `AbstractConfig`
      Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).

      After the inheritance, if a property on this `AbstractConfig` composition is replaced, it should not affect the inherited composition instance.

      Specified by:
        `inherit` in class `AbstractConfig<SolverBenchmarkConfig>`
      Parameters:
        `inheritedConfig` - never null

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.